<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from bigint_sqrt.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="bigint_sqrt" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>bigint_sqrt</refname>
    <refpurpose>bigint square root</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [y]=sqrt(x)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x,y:</term>
      <listitem><para> bigint</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
y is the integer part of the square root of x
   </para>
   <para>
<latex>\forall  x\in {\mathbb N},\,\, y^2 \leq x\lneq (y+1)^2</latex>
   </para>
   <para>
the algorithm use the Newton method , i.e. it computes the sequence
   </para>
   <para>
<latex>x_{n+1}={1\over 2}(x_n+{x\over x_n})</latex>
until <latex>|x_{n+1}-x_n|\lneq 1</latex>
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

sqrt(9876543210)
sqrt(bigint(9876543210))

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="bigint">bigint</link></member>
   <member><link linkend="sqrt">sqrt</link></member>
   <member><link linkend="abs">abs</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
